logo
Voice Call
Server API
Stream Mixing and Transcoding APIs
On this page

DescribeForbidUserRules

GET

https://rtc-api.zego.im/

Query user prohibition rules.

Rate Limit
All rooms under the same AppID: 10 times/second.
Notice

Calling the DescribeForbidUserRules interface allows you to query both currently active rules and expired rules. Please note that ZEGOCLOUD periodically purges expired prohibition rules from the database, so the list of expired rules returned by this interface may be incomplete.

Request

Query Parameters

    Action stringrequired

    Possible values: [DescribeForbidUserRules]

    Interface prototype parameters

    https://rtc-api.zego.im?Action=DescribeForbidUserRules

    AppId uint32required

    💡Public parameter. Application ID, assigned by ZEGOCLOUD. Get it from the ZEGOCLOUD Admin Console.

    SignatureNonce stringrequired

    💡Common parameter. A 16-character hexadecimal random string (hex-encoded 8-byte random number). For the generation algorithm, refer to the signature example.

    Timestamp int64required

    💡Common parameter. Current Unix timestamp in seconds. For the generation algorithm, refer to the signature example. A maximum deviation of 10 minutes is allowed.

    Signature stringrequired

    💡Common parameter. Signature used to verify the legitimacy of the request. Please refer to the signature mechanism to generate it.

    SignatureVersion stringrequired

    Possible values: [2.0]

    Default value: 2.0

    💡Public parameter. Signature version number.

    RuleType int32required

    Possible values: [1, 2, 3, 4]

    Type of prohibition rule to query:

    • 1: Prohibit users by IP address;
    • 2: Prohibit users by RoomId;
    • 3: Prohibit users by UserId;
    • 4: Prohibit users by both RoomId and UserId.

Responses

Operation successful
Schema
    Code int32

    Return code. The following only lists some return codes related to interface business logic. For complete return codes, please refer to Global Return Codes.

    Return CodeDescriptionSuggested Action
    0Request successful.-
    1Request failed.Please contact ZEGOCLOUD technical support for assistance.
    2Input parameter error.-
    9Permission to use this interface not enabled.Please contact ZEGOCLOUD technical support for assistance.
    206App request QPS too high and rate limited.Reduce request frequency, or contact ZEGOCLOUD technical support to increase QPS limit threshold.
    50123Number of active prohibition rules exceeds limit.Please reduce the number of rules.
    Message string

    Operation result description.

    RequestId string

    Request ID.

    Data object
    RuleList object[]
    List of user prohibition rules.
  • Array[
  • RuleType int32

    Possible values: [1, 2, 3, 4]

    Prohibition rule type: 1: Prohibit users by IP address; 2: Prohibit users by RoomId; 3: Prohibit users by UserId; 4: Prohibit users by both RoomId and UserId.

    IP string

    IP address. This parameter has a value when RuleType is 1.

    RoomId string

    Room ID. This parameter has a value when RuleType is 2 or 4.

    UserId string

    User ID. This parameter has a value when RuleType is 3 or 4.

    DisabledPrivilegeList int32[]

    Possible values: [1, 2]

    Functions available to prohibited users under this rule: 1: Login; 2: Stream publishing.

    ExpireTime int64

    Expiration time of the user prohibition rule, Unix timestamp, in seconds.

  • ]

Previous

SetForbidUserRule

Next

DelForbidUserRule

On this page

Back to top